#include "window.hpp"
#include "render_area.hpp"

#include <iostream>

#include <ui_mainwindow.h>
#include <Qt/QtOpenGL>

window::window(QWidget *parent)
    :QMainWindow(parent),ui(new Ui::MainWindow)
{
    std::cout<<"Generation de la fenetre"<<std::endl;

    ui->setupUi(this);

    //creation fenetre affichage
    render=new render_area;
    ui->layout_scene->addWidget(render);

    //connection signaux
    connect(ui->quitter,SIGNAL(clicked()),this,SLOT(action_quitter()));
    connect(ui->affiche,SIGNAL(clicked()),this,SLOT(action_afficher()));
}


window::~window()
{
    std::cout<<"Terminaison fenetre"<<std::endl;
    if(ui!=NULL)
    {
        delete ui;
        ui=NULL;
    }
}

void window::action_quitter()
{
    close();
}

void window::action_afficher()
{
    render->change_draw_circle();
}
