#pragma once

#ifndef RENDER_AREA_HPP
#define RENDER_AREA_HPP


#include <QWidget>
#include <QPixmap>
#include <QBrush>
#include <QPen>
#include <QTime>



class render_area : public QWidget
{
    Q_OBJECT
public:
    render_area(QWidget *parent = 0);
    ~render_area();

    void change_draw_circle();

protected:
     void paintEvent(QPaintEvent *event);
     void mousePressEvent(QMouseEvent *event);
     void mouseMoveEvent(QMouseEvent *event);

private:

     QPixmap pixmap;
     bool draw_circle;

     int x_old,y_old;
     int xc,yc,diametre;

};

#endif
